summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/basic-14
-rwxr-xr-xtests/install/trap2
2 files changed, 3 insertions, 3 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 722a947c0..aa80fcf33 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -57,7 +57,7 @@ ginstall -s -c -m 555 $dd $dir || fail=1
test -f $dd || fail=1
# Make sure that the destination file has the requested permissions.
-mode=`ls -l $dir/$dd|cut -b-10`
+mode=$(ls -l $dir/$dd|cut -b-10)
test "$mode" = -r-xr-xr-x || fail=1
# These failed in coreutils CVS from 2004-06-25 to 2004-08-11.
@@ -72,7 +72,7 @@ test -d newdir3 || fail=1
# This fails because mkdir-p.c's make_dir_parents fails to return to its
# initial working directory ($iwd) after creating the first argument, and
# hence cannot do anything meaningful with the following relative-named dirs.
-iwd=`pwd`
+iwd=$(pwd)
mkdir sub || fail=1
(cd sub &&
chmod 0 . &&
diff --git a/tests/install/trap b/tests/install/trap
index 79cea5f7c..e3ccf54ac 100755
--- a/tests/install/trap
+++ b/tests/install/trap
@@ -24,7 +24,7 @@ print_ver_ ginstall
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=`"$abs_top_builddir/src/kill" -l CHLD 2>/dev/null` && trap '' $sig
+ sig=$("$abs_top_builddir/src/kill" -l CHLD 2>/dev/null) && trap '' $sig
# Before 2004-04-21, install would infloop, in the 'while (wait...' loop:
exec ginstall -s "$abs_top_builddir/src/ginstall$EXEEXT" .